<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrMajorMembersMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrMajorMembers">
            <id property="xhCodeId" column="xh_code_id" jdbcType="BIGINT"/>
            <result property="etpsId" column="ETPS_ID" jdbcType="VARCHAR"/>
            <result property="personid" column="PERSONID" jdbcType="VARCHAR"/>
            <result property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="name" column="NAME" jdbcType="VARCHAR"/>
            <result property="sex" column="SEX" jdbcType="VARCHAR"/>
            <result property="natdate" column="NATDATE" jdbcType="DATE"/>
            <result property="certype" column="CERTYPE" jdbcType="VARCHAR"/>
            <result property="cerno" column="CERNO" jdbcType="VARCHAR"/>
            <result property="position" column="POSITION" jdbcType="VARCHAR"/>
            <result property="positionCn" column="POSITION_CN" jdbcType="VARCHAR"/>
            <result property="posbrform" column="POSBRFORM" jdbcType="VARCHAR"/>
            <result property="occstbeapp" column="OCCSTBEAPP" jdbcType="VARCHAR"/>
            <result property="lerepsign" column="LEREPSIGN" jdbcType="VARCHAR"/>
            <result property="appounit" column="APPOUNIT" jdbcType="VARCHAR"/>
            <result property="tel" column="TEL" jdbcType="VARCHAR"/>
            <result property="country" column="COUNTRY" jdbcType="VARCHAR"/>
            <result property="telnumber" column="TELNUMBER" jdbcType="VARCHAR"/>
            <result property="mobtel" column="MOBTel" jdbcType="VARCHAR"/>
            <result property="email" column="EMAIL" jdbcType="VARCHAR"/>
            <result property="houseadd" column="HOUSEADD" jdbcType="VARCHAR"/>
            <result property="arrchdate" column="ARRCHDATE" jdbcType="DATE"/>
            <result property="repcarfrom" column="REPCARFROM" jdbcType="DATE"/>
            <result property="repcarto" column="REPCARTO" jdbcType="DATE"/>
            <result property="postalcode" column="POSTALCODE" jdbcType="VARCHAR"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="uniCode" column="uni_code" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        xh_code_id,ETPS_ID,PERSONID,
        PRIPID,NAME,SEX,
        NATDATE,CERTYPE,CERNO,
        POSITION,POSITION_CN,POSBRFORM,
        OCCSTBEAPP,LEREPSIGN,APPOUNIT,
        TEL,COUNTRY,TELNUMBER,
        MOBTel,EMAIL,HOUSEADD,
        ARRCHDATE,REPCARFROM,REPCARTO,
        POSTALCODE,S_EXT_DATATIME,uni_code
    </sql>
</mapper>
